[![Build Status](https://travis-ci.org/bookymark/bookymark.png?branch=master)](https://travis-ci.org/bookymark/bookymark) [![Coverage Status](https://coveralls.io/repos/bookymark/bookymark/badge.png?branch=master)](https://coveralls.io/r/bookymark/bookymark)

# Bookymark

An example Laravel 4 project.

* [PSR-2](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md) - all models and controllers are autoloaded from ```app/src```. All code passes phpcs for PSR-2.
* Full [PHPUnit](http://phpunit.de) test suite in ```app/tests```
* [Twitter Bootstrap 3](http://getbootstrap.org)
* [Bower](http://bower.io/) components
* Migrations and example seeds in ```app/database```
* [Basset](http://jasonlewis.me/code/basset/4.0) asset processing
* Basic CRUD application with authentication
* Event firing and listening in ```Common/EventServiceProvider```
* Interface-based dependency injection. Interfaces in ```MikeFunk/Bookymark/Interfaces``` and bindings in ``` MikeFunk/Bookymark/Common/BindingServiceProvider.php```

Bookymark exists to:

* have a go-to CRUD example
* implement in multiple languages/frameworks/techniques for fun
* practice techniques and tools
* help anyone to understand how to create a full PSR-2 compatible app in Laravel
* showcase a code example

Get in touch with me at [MikeFunk.com](http://mikefunk.com)

Available under the [MIT License](http://opensource.org/licenses/mit-license.html)

